library Contract;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  midaslib,
  U_GetDllForm in 'U_GetDllForm.pas',
  U_DataLink in 'U_DataLink.pas' {DataLink_Contract: TDataModule},
  U_iniParam in 'U_iniParam.pas',
  U_BaseHelp in '..\..\..\public10\design\U_BaseHelp.pas' {frmBaseHelp},
  U_BaseInput in '..\..\..\public10\design\U_BaseInput.pas' {frmBaseInput},
  U_BaseList in '..\..\..\public10\design\U_BaseList.pas' {frmBaseList},
  U_cxGridCustomCss in '..\..\..\public10\design\U_cxGridCustomCss.pas',
  U_globalVar in '..\..\..\public10\design\U_globalVar.pas',
  U_WindowFormdesign in '..\..\..\public10\design\U_WindowFormdesign.pas',
  U_CompressionFun in '..\..\..\public10\ThreeFun\Fun\U_CompressionFun.pas',
  U_RTFun in '..\..\..\public10\ThreeFun\Fun\U_RTFun.pas',
  U_ClothInfoSel in '..\A00通用窗体\U_ClothInfoSel.pas' {frmClothInfoSel},
  U_CompanySel in '..\A00通用窗体\U_CompanySel.pas' {frmCompanySel},
  U_PictureUpload in '..\A00通用窗体\U_PictureUpload.pas' {frmPictureUpload},
  U_UserSel in '..\A00通用窗体\U_UserSel.pas' {frmUserSel},
  U_AttachmentUpload in '..\A00通用窗体\U_AttachmentUpload.pas' {frmAttachmentUpload},
  U_LabelMapSet in '..\A00通用窗体\U_LabelMapSet.pas' {frmLabelMapSet},
  U_LabelPrint in '..\A00通用窗体\U_LabelPrint.pas' {frmLabelPrint},
  U_SalesConInPutCopy in 'U_SalesConInPutCopy.pas' {frmSalesConInPutCopy},
  U_ContractList in 'U_ContractList.pas' {frmContractList},
  U_BaoguanList in 'U_BaoguanList.pas' {frmBaoguanList},
  U_BaoguanInPut in 'U_BaoguanInPut.pas' {frmBaoguanInPut},
  U_BaseDataLink in '..\..\..\public10\design\U_BaseDataLink.pas' {BaseDataLink: TDataModule},
  U_ZDYHelp_Img in 'U_ZDYHelp_Img.pas' {frmZDYHelp_Img},
  U_ZDYHelp_KH in 'U_ZDYHelp_KH.pas' {frmZDYHelp_KH},
  U_QMFileUp in 'U_QMFileUp.pas' {frmQMFileUp},
  U_ZDYHelp in '..\..\..\public10\ThreeFun\Form\U_ZDYHelp.pas' {frmZDYHelp};

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD); far; stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
//  if (Reason = DLL_PROCESS_DETACH) or (Reason = DLL_THREAD_DETACH) then
//    Application := NewDllApp;
end;

exports
  GetDllForm;

begin
  try
    NewDllApp := Application;
    DLLProc := @DLLUnloadProc;
  except

  end;
end.

